aboutsummaryrefslogtreecommitdiffstats
path: root/extra/bind/APKBUILD
diff options
context:
space:
mode:
authorCarlo Lanmdeter <clandmeter@gmail>2009-02-22 22:18:49 +0000
committerCarlo Lanmdeter <clandmeter@gmail>2009-02-22 22:18:49 +0000
commitc59bfb5f16a44fe9facdf9ae575e604c0f1953f6 (patch)
tree12f14c2b77c1a65bc1ae9c610a3cf9be85ca4c95 /extra/bind/APKBUILD
parentc0881272b451d57c536f4046bd24ff66b7491b50 (diff)
downloadaports-c59bfb5f16a44fe9facdf9ae575e604c0f1953f6.tar.gz
aports-c59bfb5f16a44fe9facdf9ae575e604c0f1953f6.tar.bz2
aports-c59bfb5f16a44fe9facdf9ae575e604c0f1953f6.tar.xz
extra/bind: new aport
Diffstat (limited to 'extra/bind/APKBUILD')
-rw-r--r--extra/bind/APKBUILD94
1 files changed, 94 insertions, 0 deletions
diff --git a/extra/bind/APKBUILD b/extra/bind/APKBUILD
new file mode 100644
index 0000000000..301f7af66b
--- /dev/null
+++ b/extra/bind/APKBUILD
@@ -0,0 +1,94 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=bind
+pkgver=9.6.0_p1
+pkgrel=0
+pkgdesc="BIND - Berkeley Internet Name Domain - Name Server and tools"
+url="http://www.isc.org"
+license="as-is"
+depends=
+makedepends="openssl-dev"
+install=
+subpackages="$pkgname-doc $pkgname-dev $pkgname-libs $pkgname-tools"
+source="http://ftp.isc.org/isc/bind9/9.6.0-P1/bind-9.6.0-P1.tar.gz
+bind.so_bsdcompat.patch
+$pkgname.initd
+$pkgname.confd
+$pkgname.conf
+$pkgname.127.zone
+$pkgname.localhost.zone
+$pkgname.envd
+$pkgname.named.ca"
+
+build() {
+ cd "$srcdir/bind-9.6.0-P1"
+
+ ### http://bugs.gentoo.org/show_bug.cgi?id=227333
+ export CFLAGS="$CFLAGS -D_GNU_SOURCE"
+
+ # Adjusting PATHs in manpages
+ for i in bin/named/named.8 bin/check/named-checkconf.8 bin/rndc/rndc.8; do
+ sed -i \
+ -e 's:/etc/named.conf:/etc/bind/named.conf:g' \
+ -e 's:/etc/rndc.conf:/etc/bind/rndc.conf:g' \
+ -e 's:/etc/rndc.key:/etc/bind/rndc.key:g' \
+ "${i}" || return 1
+ done
+
+ patch -p0 -i "$srcdir"/bind.so_bsdcompat.patch || return 1
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc/bind \
+ --localstatedir=/var \
+ --with-openssl=/usr \
+ --disable-linux-caps \
+ --without-libxml2 \
+ --disable-threads \
+ --enable-ipv6 \
+ --enable-shared \
+ --enable-static \
+ --with-libtool \
+ --with-randomdev=/dev/random \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ depends="$depends $pkgname-libs"
+ install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname || return 1
+ install -Dm644 "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname || return 1
+ install -Dm644 "$srcdir"/$pkgname.conf "$pkgdir"/etc/bind/$pkgname.conf || return 1
+ install -Dm644 "$srcdir"/$pkgname.named.ca "$pkgdir"/var/bind/named.ca || return 1
+ install -Dm644 "$srcdir"/$pkgname.127.zone "$pkgdir"/var/bind/pri/127.zone || return 1
+ install -Dm644 "$srcdir"/$pkgname.localhost.zone "$pkgdir"/var/bind/pri/localhost.zone || return 1
+ install -Dm644 "$srcdir"/$pkgname.envd "$pkgdir"/etc/env.d/10bind || return 1
+ mkdir -p "$pkgdir"/var/bind/sec || return 1
+ cd "$pkgdir"/etc/bind
+ ln -s ../../var/bind/pri pri || return 1
+ ln -s ../../var/bind/sec sec || return 1
+ cd "$pkgdir"/var/bind
+ ln -s named.ca root.cache || return 1
+}
+
+libs() {
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/lib "$subpkgdir"/usr/
+}
+
+tools() {
+ depends="$pkgname-libs"
+ mkdir -p "$subpkgdir"/usr/bin
+ for i in dig host nslookup nsupdate; do
+ mv "$pkgdir"/usr/bin/${i} "$subpkgdir"/usr/bin/ || return 1
+ done
+}
+
+md5sums="886b7eae55cfdc8cd8d2ca74a2f99c6e bind-9.6.0-P1.tar.gz
+f270a5b0a28ab6e818840c5c368ddbcc bind.so_bsdcompat.patch
+3aebea7be2340d971354bd9188a042dc bind.initd
+5b0a78ca9da95ad2d3504cc0ef2dc32e bind.confd
+be5fd752bdbd59385f2a559d603098d5 bind.conf
+a7455b009b7fccd74ac6f6eaa6902a00 bind.127.zone
+c3220168fabfb31a25e8c3a545545e34 bind.localhost.zone
+42b5ed5adcee33cf40531d7955412b21 bind.envd
+a94e29ac677846f3d4d618c50b7d34f1 bind.named.ca"